Last Comment Bug 437864 - In <pageInfo.xul>, "Warning: XUL box for hbox element contained an inline img child, forcing all its children to be wrapped in a block."
: In <pageInfo.xul>, "Warning: XUL box for hbox element contained an inline img...
Status: RESOLVED FIXED
[good first bug][mentor=sgautherie][l...
:
Product: Firefox
Classification: Client Software
Component: Page Info Window (show other bugs)
: Trunk
: All All
: -- minor (vote)
: Firefox 16
Assigned To: Ekanan Ketunuti
:
: Florian Quèze [:florian] [:flo]
Mentors:
http://www.thecuriosityofchance.com/
Depends on: 408834
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 09:06 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-06-08 04:19 PDT (History)
4 users (show)
jaws: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (904 bytes, patch)
2012-05-28 20:33 PDT, Ekanan Ketunuti
bugzillamozillaorg_serge_20140323: feedback+
Details | Diff | Splinter Review
patch1 (891 bytes, patch)
2012-05-29 17:39 PDT, Ekanan Ketunuti
dao+bmo: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2008-06-08 09:06:42 PDT
(Found while testing bug 392050.)

1. Load URL page.
2. Page Info > Media.
3. Select the SWF line.

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9pre) Gecko/2008060507 Minefield/3.0pre] (nightly) (W2Ksp4)
{{
Warning: XUL box for hbox element contained an inline img child, forcing all its children to be wrapped in a block.
Source File: chrome://browser/content/pageinfo/pageInfo.xul
Line: 0
}}

[Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9pre) Gecko/2008060802 SeaMonkey/2.0a1pre] (nightly) (W2Ksp4)
{{
Warning: XUL box for hbox element contained an inline img child, forcing all its children to be wrapped in a block.
Source File: chrome://navigator/content/pageinfo/pageInfo.xul
Line: 0
}}
Comment 1 Philip Chee 2008-08-17 11:45:51 PDT
> Warning: XUL box for hbox element contained an inline img child, forcing all
> its children to be wrapped in a block.
> Source File: chrome://navigator/content/pageinfo/pageInfo.xul
> Line: 0

See Bug 408834
Comment 2 Serge Gautherie (:sgautherie) 2008-08-17 13:48:54 PDT
(In reply to comment #1)
> See Bug 408834

Right ! Duplicate, obviously :->
Marking as dependent for now as a use case.
Comment 3 Philip Chee 2008-08-17 18:43:36 PDT
> Right ! Duplicate, obviously :->
Wrong. The Page Info implementations are forked. Unfortunately we also copied the firefox bugs as well.
Comment 4 Serge Gautherie (:sgautherie) 2012-05-23 16:52:07 PDT
http://mxr.mozilla.org/comm-central/find?string=%2Fpageinfo%2FpageInfo.css

Just copy SeaMonkey fix.
Comment 5 Ekanan Ketunuti 2012-05-28 20:33:58 PDT
Created attachment 627839 [details] [diff] [review]
patch

Changed img display to block.
Comment 6 Serge Gautherie (:sgautherie) 2012-05-29 08:33:16 PDT
Comment on attachment 627839 [details] [diff] [review]
patch

>Bug 437864 - In <pageInfo.xul>, "Warning: XUL box for hbox element contained an inline img child, forcing all its children to be wrapped in a block." r=sgautherie

Don't add "r=..." before you get a r+.
Comment 7 Ekanan Ketunuti 2012-05-29 17:39:37 PDT
Created attachment 628161 [details] [diff] [review]
patch1

rm r=...
Comment 8 Jared Wein [:jaws] (please needinfo? me) 2012-06-07 15:25:10 PDT
Pushed to mozilla-inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/71125631398b
Comment 9 Graeme McCutcheon [:graememcc] 2012-06-08 04:19:02 PDT
https://hg.mozilla.org/mozilla-central/rev/71125631398b

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.